package it.businesslogic.ireport.util;

import org.w3c.tools.codec.Base64Decoder;
import java.awt.*;
import java.io.*;

public class ImageLoader {

		public static java.awt.Image loadFromBase64String( String imageSource ) throws net.sf.jasperreports.engine.JRException
		{
			Image _image = null;
			try {
		
				ByteArrayInputStream bais = new ByteArrayInputStream(imageSource.getBytes("UTF-8"));
				ByteArrayOutputStream baos = new ByteArrayOutputStream();
				
				Base64Decoder decoder = new Base64Decoder(bais, baos);
				decoder.process();
						
				_image = Toolkit.getDefaultToolkit().createImage( baos.toByteArray() );
		
				MediaTracker traker = new MediaTracker(new Panel());
				traker.addImage(_image, 0);
			
				traker.waitForID(0);
			}
			catch (Exception e)
			{
				//image = null;
				e.printStackTrace();
				System.out.flush();
				throw new net.sf.jasperreports.engine.JRException(e);
			}
			
			return _image;
		}
		
}		